<cfset getArt = new artservice().getArt()>

<html>
<head>
<script src="jquery-ui-1.8.7.custom/js/jquery-1.4.4.min.js"></script>
<script src="jquery-ui-1.8.7.custom/js/jquery-ui-1.8.7.custom.min.js"></script>
<link rel="stylesheet" href="jquery-ui-1.8.7.custom/css/overcast/jquery-ui-1.8.7.custom.css" />
<script>
//credit: http://www.mredkj.com/javascript/numberFormat.html
function dollarFormat(nStr){
	nStr += '';
	x = nStr.split('.');
	x1 = x[0];
	x2 = x.length > 1 ? '.' + x[1] : '';
	var rgx = /(\d+)(\d{3})/;
	while (rgx.test(x1)) {
		x1 = x1.replace(rgx, '$1' + ',' + '$2');
	}
	return "$" + x1 + x2;	
}

$(document).ready(function() {

	$(".artdiv").click(function() {
		var initialDiv = this;

		//based on which we click, get the current values
		var artid = $(this).data("artid");
		var name = $("h2", this).text();
		var price = $("p:first", this).data("price");
		var desc = $("p:last", this).text();
		desc = $.trim(desc);

		$("#artid").val(artid);		
		$("#namefield").val(name);
		$("#pricefield").val(price);
		$("#descriptionfield").val(desc);
		
		$("#editForm").dialog({
			buttons: {
				"Save": function() {
					var thisDialog = $(this);
					$.post("artservice.cfc?method=saveart", 
					{
						id:$("#artid").val(),
						name:$("#namefield").val(),
						price:$("#pricefield").val(),
						description:$("#descriptionfield").val()
					}, 
					function() {
						//update the initial div
						$("h2", initialDiv).text($("#namefield").val());
						var price = $("#pricefield").val();
						$("p:first", initialDiv).data("price", price);
						price = parseInt(price).toFixed(2);
						$("p:first", initialDiv).text("Price: "+dollarFormat(price));
						$("p:last", initialDiv).text($("#descriptionfield").val());
						$(thisDialog).dialog("close");
					});
				}
			}
		});
	});
	
});
</script>
<style>
.artdiv {
	padding: 5px;
	margin: 5px;
	background-color: #80ff80;
}
#editForm {
	display:none;	
}
</style>
</head>

<body>

<cfoutput query="getart">
	
	<div class="artdiv" data-artid="#artid#">
		<h2>#artname#</h2>
		<p data-price="#price#">
		Price: #dollarFormat(price)#
		</p>
		<p class="description">
		#description#
		</p>
	</div>
	
</cfoutput>

<div id="editForm" title="Edit Art">
	<input type="hidden" id="artid">
	<p>
	<b>Name:</b><br/>
	<input type="text" id="namefield">
	</p>
	<p>
	<b>Price:</b><br/>
	<input type="text" id="pricefield">
	</p>
	<p>
	<b>Description:</b><br/>
	<textarea id="descriptionfield"></textarea>
	</p>
	
</div>

</body>
</html>